## simple_configure
simple_configure is a simple configuration tool for configuring servers to deploy Rails apps. 

### Why do you need this?
Have you ever deployed Rails apps to VPS manually without making mistakes and wasting time? The answer is most probably no. This is because humans are very error prone. We already have a great tool called **Capistrano** which automates most of the tasks involved in deployment of Rails apps. I haven't found a simple tool which performs the same automation for configuration servers. That's why I wrote this tool. This is another tool extracted from Groupsy/Clubalert. 

#### What about Chef/Puppet/Ansible/SaltStack?
I have some experience with Ansible but not a lot. I have never used SaltStack. So I am going to leave it out in this comparison. But I have played around with both Chef and Puppet. They are great at configuration management. But for a less compilated task like configuring a Rails server, they are unnecessarily complicated and it will take a week for getting a person up to speed on the basics of these tools. simple_configure actually rose out my frustration with Chef. 

### Architecture

`simple_configure` is an agentless configuration tool written in Ruby. All the configuration is done over SSH. `simple_configure` breaks down the configuration of servers into a series of tasks. `simple_configure` exposes those tasks through a DSL. The list of tasks currently available in `simple_configure` are in the tasks section below. 

### Installation

`simple_configure` is available as a gem. You can install it using

```
gem install simple_configure
```


